Bug 439716 - nm-applet only shows status for one of two network cards
nm-applet only shows status for one of two network cards
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-30 18:04 EDT by Sebastian Vahl
Modified: 2009-01-07 22:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 22:59:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of nm-applet's "Connection Information" (49.53 KB, image/png)
2008-03-30 18:04 EDT, Sebastian Vahl
no flags Details

  None (edit)
Description Sebastian Vahl 2008-03-30 18:04:54 EDT
Description of problem:
I have two network cards in my machine. If I left-click on the applet, the 
names of both network cards are shown. But I right-click on nm-applet and 
select "Connection Information" only the second card is shown.
In my case eth0 is connected to my router/gateway/dhcp-server and get a valid 
IP. eth1 is connected directly to another machine without a dchp-server. 
Normally I use a static IP there. But nm-applet will only show eth1 here, 
which isn't connected to another network.

Version-Release number of selected component (if applicable):
NetworkManager-gnome-0.7.0-0.9.1.svn3476

How reproducible:
ever

Steps to Reproduce:
1. have two network cards in the machine
2. right-click on nm-applet and select "Connection Information"

  
Actual results:
only one network card is shown

Expected results:
both/all network cards should be shown in "Connection Information"

Additional info: Output of nm-tool:

NetworkManager Tool

State: connected

- Device: 
eth1 ----------------------------------------------------------------
  Type:              Wired
  Driver:            r8169
  Active:            yes
  HW Address:        00:19:DB:48:79:4F

  Capabilities:
    Supported:       yes
    Carrier Detect:  yes
    Speed:           100 Mb/s

  Wired Settings

  IP Settings:
    IP Address:      169.254.40.121
    Subnet Mask:     255.255.0.0
    Broadcast:       169.254.255.255
    Gateway:         0.0.0.0


- Device: 
eth0 ----------------------------------------------------------------
  Type:              Wired
  Driver:            natsemi
  Active:            yes
  HW Address:        00:02:E3:24:65:48

  Capabilities:
    Supported:       yes
    Carrier Detect:  yes
    Speed:           100 Mb/s

  Wired Settings

  IP Settings:
    IP Address:      192.168.100.1
    Subnet Mask:     255.255.255.0
    Broadcast:       192.168.100.255
    Gateway:         192.168.100.100
    DNS:             192.168.100.100
Comment 1 Sebastian Vahl 2008-03-30 18:04:54 EDT
Created attachment 299644 [details]
Screenshot of nm-applet's "Connection Information"
Comment 2 Dan Williams 2008-03-31 12:00:01 EDT
What device has the default route as shown by 'route -n' ?
Comment 3 Sebastian Vahl 2008-03-31 13:38:54 EDT
# route -n
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
192.168.100.0   0.0.0.0         255.255.255.0   U     0      0        0 eth0
169.254.0.0     0.0.0.0         255.255.0.0     U     0      0        0 eth1
0.0.0.0         0.0.0.0         0.0.0.0         U     0      0        0 eth1
Comment 4 Dan Williams 2008-03-31 14:08:27 EDT
Ok; the applet should be showing the connection information for the device with
the current default route, which isn't happening here.  Thanks.
Comment 5 Bug Zapper 2008-05-14 04:27:24 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Charles R. Anderson 2009-01-07 22:59:11 EST
nm-applet now shows one tab for each connection's info.  Closing.

Note You need to log in before you can comment on or make changes to this bug.